unit MenuPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WinSkinData, StdCtrls, Buttons, IniFiles, DBCtrls, Mask, Grids,
  DBGrids;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    BTN_SALVAR: TBitBtn;
    BTN_CARREGAR: TBitBtn;
    SkinData1: TSkinData;
    DBGrid1: TDBGrid;
    DBCheckBox1: TDBCheckBox;
    DBEdit1: TDBEdit;
    DBLookupComboBox1: TDBLookupComboBox;
    DBImage1: TDBImage;
    RadioButton1: TRadioButton;
    procedure BTN_CARREGARClick(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BTN_SALVARClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  CaminhoDasSkins , ss : string;

implementation

{$R *.dfm}

// Cdigo da Procedure LerIni(ss);
procedure LerIni(var Caminho: String);
var
  ArqIni : tIniFile;
begin
  ArqIni := TIniFile.Create('C:\skin\skin.Ini');
  Try
    Caminho := ArqIni.ReadString('Informao', 'Caminho', Caminho);
  Finally
    ArqIni.Free;
  end;
end;


// Cdigo da Procedure CarregarSkim
procedure CarregarSkin;
var
  i : integer;
  Skin : string;
begin
  i := 0;
  LerIni(Skin); // Cdigo abaixo..
  i := Form1.ListBox1.ItemIndex;
  ss := Skin;
  Form1.SkinData1.SkinFile := ss;
  if not Form1.SkinData1.Active Then Form1.SkinData1.Active := True;
end;


 // procedure para Gravar
procedure GravaIni(Caminho: String);
var
ArqIni : TIniFile;
begin
ArqIni := TIniFile.Create('C:\skin\skin.Ini');
Try
ArqIni.WriteString('Informao', 'Caminho', Caminho);
Finally
ArqIni.Free;
end;
end;



procedure TForm1.BTN_CARREGARClick(Sender: TObject);
var
  Procurar : TSearchRec;
  Arquivos: Integer;
Begin

  CaminhoDasSkins := ExtractFilePath(Application.ExeName) + 'skins\*.skn';
  Arquivos := 0;
  Arquivos := Arquivos + faDirectory;
  Arquivos := Arquivos + faArchive;
  Arquivos := Arquivos + faAnyFile;
  if FindFirst(CaminhoDasSkins, Arquivos, Procurar) = 0 then
  begin
    repeat
      if (Procurar.Attr and Arquivos) = Procurar.Attr then
        ListBox1.Items.Add(Procurar.Name);
    until FindNext(Procurar) <> 0;
    FindClose(Procurar);
end;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
var
  i : integer;
begin
  i := ListBox1.ItemIndex;
  ss := Copy(CaminhoDasSkins,1,Pos('*.skn',CaminhoDasSkins)-2)+'\'+ListBox1.items.strings[i];
  SkinData1.SkinFile := ss;
  if not SkinData1.Active Then SkinData1.Active := True;
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
 Carregarskin;
end;

procedure TForm1.BTN_SALVARClick(Sender: TObject);
begin
  GravaIni(ss);
end;

end.
